<?php /*
Template Name: Blog
*/ get_header();?>
<div class="page_container">

<div class="container">
<div class="breadcrumbs" xmlns:v="http://rdf.data-vocabulary.org/#">
<?php the_breadcrumb(); ?>
  
</div>

</div>

<div class="container">

<div class="row">
<div class="col-md-8 page_entry2 w_page">
<?php if (have_posts()): ?>
	
		<div>
			<?php $post = $posts[0]; ?>
			  <h4 class="media-heading">
				<?php if (is_category()): ?>
					Archive for the &#8216;<?php single_cat_title(); ?>&#8217; Category
				<?php elseif (is_day()): ?>
					Archive for <?php the_time(get_option('date_format')); ?>
				<?php elseif (is_month()): ?>
					
				<?php elseif (is_year()): ?>
					
				<?php elseif (is_author()): ?>
					Author Archive
				<?php elseif (isset($_GET['paged']) && !empty($_GET['paged'])): ?>
					Blog Archives
				<?php endif; ?>
			
			</h4>
		
		</div>

<?php endif;?>

 <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
<div class="blog_post">
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<div class="f_im">

<div class="blog_image">
<?php
$feat_image = wp_get_attachment_url( get_post_thumbnail_id() );

?>
<a href="<?php the_permalink(); ?>">
<img class="img-responsive" src="<?php echo $feat_image; ?>"/>
</a>
</div>
</div>
<h3><a href="<?php the_permalink(); ?>"><?php the_title();?></a></h3>
<p class="blog_post_author"> <span class="posted bypostauthor"> Posted by&nbsp;<?php the_author_posts_link(); ?></span> | <span> On <?php the_time(get_option('date_format')); ?></span> | <span class="comments"><?php comments_number( '0 comment', '1 comment', '%s comments' ); ?></span></p>
<?php the_excerpt();?>

<a class="r_more" href="<?php the_permalink(); ?>">Read more..</a>
</div>
</div>
     <?php endwhile; endif; ?>
 <?php wp_reset_postdata(); ?> 
<div class="pagination">
<?php wp_pagenavi(); ?>
</div>

<div class="pagination">
<div class="wp-pagenavi">
<?php the_posts_pagination( array(
    'mid_size' => 5,
'screen_reader_text' => ' ',
    'prev_text' => __( 'Previous', 'glassy_shop' ),
    'next_text' => __( 'Next', 'glassy_shop' ),
) ); ?>
</div>
</div>

</div>
<div class="col-md-4 product_sidebar">
<?php if (!function_exists('dynamic_sidebar') || !dynamic_sidebar('Sidebar')): ?>
	
<?php endif; ?>

</div>

</div>
</div>
</div>
<?php get_footer();?>