(function ($) {
	"use strict";
	
	// Check for Mobile device
	var mobileDetected;
	if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ) {
		mobileDetected = true;
	} else {
		mobileDetected = false;
	}

	// Check for placeholder support
	jQuery.support.placeholder = (function(){
	    var i = document.createElement('input');
	    return 'placeholder' in i;
	})();

	// if Placeholder is not supported call plugin
	if (!jQuery.support.placeholder && $.fn.placeholder) {
		$('input, textarea').placeholder();
	}
	

	// function check for window width
	function checkWindowWidth() {
		return $(window).width();
	}
	
	
function checkSupport(elemname, pluginname) {
	return (elemname.length && pluginname) ? true : false;
}
var  hotItems = $('.hot-items-slider.owl-carousel');
	if (checkSupport(hotItems, $.fn.owlCarousel)) {
        hotItems.owlCarousel({
            items: 4,
            itemsDesktop : [1199, 4],
            itemsDesktopSmall: [979, 3],
            itemsTablet: [768, 2],
            itemsMobile : [479, 1],
            slideSpeed: 700,
            autoPlay: 7000,
            stopOnHover: true,
            navigation: false,
            pagination: false,
            responsive: true,
            mouseDrag: false,
            autoHeight : true
        }).data('navigationBtns', ['#hot-items-slider-prev', '#hot-items-slider-next']);
    }



/* =========================================
----  Register OwlCarousel custom navigation buttons 
=========================================== */
  
    if (checkSupport($('.owl-carousel'), $.fn.owlCarousel)) {
	    $('.owl-carousel').each(function() {
	    	var $this = $(this),
	    		owlCarousel = $this.data('owlCarousel'),
	    		owlBtns = $this.data('navigationBtns'),
	    		prevBtn, nextBtn;

    		if (typeof owlCarousel === 'undefined' || typeof owlBtns === 'undefined') {
    			return;
    		}

    		for(var key in owlBtns) {
    			if (owlBtns[key].indexOf('next') == -1) {
    				prevBtn = $(owlBtns[key]);
    			}else {
    				nextBtn = $(owlBtns[key]);
    			}
    		}

    		prevBtn.on('click touchstart', function(e) {
	            owlCarousel.prev();
	            e.preventDefault();
    		});

    		nextBtn.on('click touchstart', function(e) {
	            owlCarousel.next();
	            e.preventDefault();
    		});
        });
	}
}(jQuery));