<?php /*
Template Name: Blog
*/ get_header();?>
<div class="page_container">

<div class="container">
<div class="breadcrumbs" xmlns:v="http://rdf.data-vocabulary.org/#">
<?php the_breadcrumb(); ?>
   
</div>

</div>

<div class="container">

<div class="row">
<div class="col-md-8 page_entry2 w_page">


 <?php
$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
$args = array('post_type' => 'post','posts_per_page' => 10,'paged' => $paged);

$archieve_loop = new WP_Query($args);
if( $archieve_loop->have_posts() ):
    while( $archieve_loop->have_posts() ): $archieve_loop->the_post();?>
<div class="blog_post">
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<div class="f_im">

<?php 
if ( has_post_thumbnail() ) :?>
<div class="blog_image">
<?php
$feat_image = wp_get_attachment_url( get_post_thumbnail_id() );

?>
<a href="<?php the_permalink(); ?>">
<img class="img-responsive" src="<?php echo $feat_image; ?>"/>
</a>
</div>
<?php endif;?>
</div>
<h3><a href="<?php the_permalink(); ?>"><?php the_title();?></a></h3>
<p class="blog_post_author"> <span class="posted bypostauthor"> Posted by&nbsp;<?php the_author_posts_link(); ?></span> | <span> On <?php the_time(get_option( 'date_format' )); ?></span> | <span class="comments"><?php comments_number( '0 comment', '1 comment', '%s comments' ); ?></span></p>
<?php the_excerpt();?>

<a class="r_more" href="<?php the_permalink(); ?>">Read more..</a>
</div>
</div>
     <?php endwhile; endif; ?>

<div class="pagination">
<?php wp_pagenavi( array( 'query' => $archieve_loop ) ); ?>
</div>
 <?php wp_reset_postdata(); ?> 


</div>
<div class="col-md-4 product_sidebar">
<?php if (!function_exists('dynamic_sidebar') || !dynamic_sidebar('Sidebar')): ?>
	
<?php endif; ?>

</div>

</div>
</div>
</div>
<?php get_footer();?>