<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<title><?php wp_title( '|', true, 'right' ); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script>(function(){document.documentElement.className='js'})();</script>

        <?php wp_enqueue_script('jquery'); ?>

       


<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="all"/>
	<?php wp_head(); ?>
       <link rel="stylesheet" href="<?php echo esc_url( get_stylesheet_directory_uri() );?>/css/normalize.css">
            <script src="<?php echo esc_url( get_stylesheet_directory_uri() );?>/js/modernizr.custom.25724.js"></script>
 <script src="<?php echo esc_url( get_stylesheet_directory_uri() );?>/js/html5.js"></script>
 <script src="<?php echo esc_url( get_stylesheet_directory_uri() );?>/js/html5shiv.js"></script>
 <script src="<?php echo esc_url( get_stylesheet_directory_uri() );?>/js/responsive.min.js"></script>
<link href='http://fonts.googleapis.com/css?family=Oswald:700' rel='stylesheet' type='text/css'>
<link href='http://fonts.googleapis.com/css?family=Lora' rel='stylesheet' type='text/css'>


<!-- Latest compiled and minified CSS -->
<link rel="stylesheet" href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/inc/bootstrap/css/bootstrap.min.css">
<!-- Optional theme -->
<link rel="stylesheet" href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/inc/bootstrap/css/bootstrap-theme.min.css">
    <!-- Include all compiled plugins (below), or include individual files as needed -->
    <script src="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/inc/bootstrap/js/bootstrap.min.js"></script>



 
<link rel="stylesheet" href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/js/owl.carousel.css">

<?php if( is_home() || is_front_page()) : ?>

<link type="text/css" rel="stylesheet" href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/js/slider/jquery.bxslider.css" />
<script src="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/js/slider/jquery.bxslider.min.js"></script>

       
<script type="text/javascript">
jQuery(function( $ ) {
$(document).ready(function() {
  $('.bxslider').bxSlider({
mode: 'fade',
auto: true
});
});
   
});
</script>
    <script src="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/js/smoothscroll.js"></script>
  
    <script src="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/js/jquery.placeholder.js"></script>
    <script src="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/js/jquery.hoverIntent.min.js"></script>

    <script src="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/js/owl.carousel.min.js"></script>


<script type="text/javascript">

jQuery(document).ready(function($) {
 
  var owl1 = $("#owl-slider");
     owl1.owlCarousel({
      items : 5, 
      itemsDesktop : [1000,5],
      itemsDesktopSmall : [900,3],
      itemsTablet: [600,2],
      autoPlay: true,
      itemsMobile : false 
  
  });

// Custom Navigation Events
  $(".next1").click(function(){
    owl1.trigger('owl.next');
  })
  $(".prev1").click(function(){
    owl1.trigger('owl.prev');
  })

  var owl2 = $("#owl-slider2");
      owl2.owlCarousel({
      items : 3, 
      itemsDesktop : [1000,5],
      itemsDesktopSmall : [900,3],
      itemsTablet: [600,2],
      autoPlay: false,
      itemsMobile : false,
  slideSpeed : 500
  });
 
// Custom Navigation Events
  $(".next2").click(function(){
    owl2.trigger('owl.next');
  })
  $(".prev2").click(function(){
    owl2.trigger('owl.prev');
  })

 var owl3 = $("#owl-slider3");
      owl3.owlCarousel({
      items : 3, 
      itemsDesktop : [1000,5],
      itemsDesktopSmall : [900,3],
      itemsTablet: [600,2],
      autoPlay: false,
      itemsMobile : false,
  slideSpeed : 500
  });

  // Custom Navigation Events
  $(".next3").click(function(){
    owl3.trigger('owl.next');
  });
  $(".prev3").click(function(){
    owl3.trigger('owl.prev');
  });


 

	//Default Action
	$(".tab_content").hide(); //Hide all content
	$("ul.tabs li:first").addClass("active").show(); //Activate first tab
	$(".tab_content:first").show(); //Show first tab content
	
	//On Click Event
	$("ul.tabs li").click(function() {
		$("ul.tabs li").removeClass("active"); //Remove any "active" class
		$(this).addClass("active"); //Add "active" class to selected tab
		$(".tab_content").hide(); //Hide all tab content
		var activeTab = $(this).find("a").attr("href"); //Find the rel attribute value to identify the active tab + content
		$(activeTab).fadeIn(); //Fade in the active content
		return false;
	});

});


</script>





<?php endif;?>
<link href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/js/select2.min.css" rel="stylesheet" />
<script src="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/js/select2.min.js"></script>
<script type="text/javascript">
jQuery(function( $ ) {


$(document).ready(function() {

  $('select').select2();
});
});
</script>

</head>

<body <?php body_class(); ?>>

<div class="header" style="background:url('<?php header_image(); ?>');">
<div class="pop_menu"><img alt="mobile_menu icon" src="<?php echo esc_url( get_stylesheet_directory_uri() );?>/images/nav_button.gif"></div>
<div class="pop_inner">
<div class="mobile_nav"><?php wp_nav_menu(array('theme_location' => 'header')); ?></div>
 <div id="hidr"><img alt="nav_button" src="<?php echo esc_url( get_stylesheet_directory_uri() );?>/images/nav_button.gif"></div></div>

<div class="container">
<div class="top"><div class="t_email"><a href="mailto:<?php echo ot_get_option('email_address'); ?>"><?php echo ot_get_option('email_address'); ?></a></div>
<div class="top_menu"><?php wp_nav_menu(array('theme_location' => 'top')); ?></div></div>
<div class="row in_header">

<?php $logo1 = ot_get_option('logo'); ?>
<div class="logo col-md-4">
<?php if (empty($logo1)) : ?> 

	<h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo('name'); ?></a></h1>
		
	



<?php else : ?> 

<a href="<?php echo esc_url( home_url( '/' ) ); ?>"> <?php if ( ot_get_option('logo') ) { ?>
            <img alt="logo_name" src="<?php echo ot_get_option('logo'); ?>" />
            <?php } ?> </a>

<?php endif; ?>

</div>
<div class="col-md-4">
 <form role="search"  id="h_searchform" method="get" class="woocommerce-product-search" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
	<label class="screen-reader-text" for="s"><?php _e( 'Search for:', 'woocommerce' ); ?></label>
	<input type="search" class="form-control" placeholder="<?php echo esc_attr_x( 'Search Products&hellip;', 'placeholder', 'woocommerce' ); ?>" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'woocommerce' ); ?>" />
	<input type="submit" id="search-submit" value="<?php echo esc_attr_x( 'Search', 'submit button', 'woocommerce' ); ?>" />
	<input type="hidden" name="post_type" value="product" />
</form>




   
</div>
<div class="col-md-4">

<div class="car_menu">
<?php if(is_user_logged_in()) : global $current_user; get_current_user(); ?>
<ul class="t-menu">
<li><a href="<?php echo get_home_url(); ?>/my-account/"> Welcome <span><?php  echo $current_user->user_email; ?>!</span></a> </li>
<li class="l_n"><a href="<?php echo wp_logout_url( home_url() ); ?>"><span class="glyphicon glyphicon-log-out" aria-hidden="true"></span> Logout</a></li>
</ul>
<?php else:?>
<ul class="t-menu">
<li><a href="<?php echo get_home_url(); ?>/my-account/<?php echo $current_user->ID; ?>/"> Welcome guest!</a> </li>
<li class="l_o"><a href="<?php echo get_home_url(); ?>/my-account/"><span class="glyphicon glyphicon-log-in" aria-hidden="true"></span> Login</a></li>
</ul>
<?php endif; ?>
</div>



</div>
</div>
</div>

<div class="header_navigation">
<div class="container">

<div class="row">
<?php wp_nav_menu(array('theme_location' => 'header')); ?>
</div>




</div>
</div>


</div>